%define name perl-IO-Stty
%define module IO-Stty
%define version 02
%define release 1mdk

Summary:	IO-Stty perl module
Name: 		%{name}
Version: 	%{version}
Release:	%{release} 
License: 	GPL
Group: 		Development/Perl
Source:		ftp://ftp.perl.org/pub/CPAN/modules/by-module/IO/%{module}-.%{version}.tar.bz2
BuildRoot: 	%{_tmppath}/%{name}-buildroot
Prefix:		%{_prefix}
Patch0:		%{name}-paths.patch.bz2
Requires: 	perl >= 5.600


%description
IO-Stty is a module for setting terminal parameters.

%prep
  [ -n "${RPM_BUILD_ROOT}" -a "${RPM_BUILD_ROOT}" != / ] \
  && rm -rf ${RPM_BUILD_ROOT}

%setup -q -n %{module}-.%{version}

%patch -p1

%build
%{__perl} Makefile.PL PREFIX=%{prefix}
make OPTIMIZE="$RPM_OPT_FLAGS" PREFIX=%{prefix}

%makeinstall PREFIX=$RPM_BUILD_ROOT/%{prefix}

%clean 
  [ -n "${RPM_BUILD_ROOT}" -a "${RPM_BUILD_ROOT}" != / ] \
  && rm -rf ${RPM_BUILD_ROOT}

%files
%defattr(644,root,root,755)
%doc README stty.txt
%{_libdir}/perl5/site_perl/*/IO/Stty.pm
%{_libdir}/perl5/site_perl/*/IO/stty.pl

%changelog
* Mon Sep 24 2001 Lenny Cartier <lenny@mandrakesoft.com> 02-1mdk
- added by Max Heijndijk <cchq@wanadoo.nl> :
	- Initial wrap
